## trafficserver 3.2.4

=== tools/http_load/Makefile ===
# Makefile for http_load

# CONFIGURE: If you are using a SystemV-based operating system, such as
# Solaris, you will need to uncomment this definition.
#SYSV_LIBS =	-lnsl -lsocket -lresolv

# CONFIGURE: If you want to compile in support for https, uncomment these
# definitions.  You will need to have already built OpenSSL, available at
# http://www.openssl.org/  Make sure the SSL_TREE definition points to the
# tree with your OpenSSL installation - depending on how you installed it,
# it may be in /usr/local instead of /usr/local/ssl.
#SSL_TREE =	/usr/local/ssl
#SSL_DEFS =	-DUSE_SSL
#SSL_INC =	-I$(SSL_TREE)/include
#SSL_LIBS =	-L$(SSL_TREE)/lib -lssl -lcrypto

BINDIR =	/usr/local/bin
MANDIR =	/usr/local/man/man1
CC =		gcc -Wall
CFLAGS =	-g -O3 $(SRANDOM_DEFS) $(SSL_DEFS) $(SSL_INC)
LDFLAGS =	$(SSL_LIBS) $(SYSV_LIBS)


all:		http_load

http_load:	http_load.o timers.o
	$(CC) $(CFLAGS) http_load.o timers.o $(LDFLAGS) -o http_load

http_load.o:	http_load.c timers.h port.h
	$(CC) $(CFLAGS) -c http_load.c

timers.o:	timers.c timers.h
	$(CC) $(CFLAGS) -c timers.c

install:	all
	rm -f $(BINDIR)/http_load
	cp http_load $(BINDIR)
	rm -f $(MANDIR)/http_load.1
	cp http_load.1 $(MANDIR)

clean:
	rm -f http_load *.o core core.* *.core

tar:
	@name=`sed -n -e '/define VERSION /!d' -e 's,.*http_load ,http_load-,' -e 's,",,p' version.h` ; \
	  rm -rf $$name ; \
	  mkdir $$name ; \
	  tar cf - `cat FILES` | ( cd $$name ; tar xfBp - ) ; \
	  chmod 644 $$name/Makefile ; \
	  tar cf $$name.tar $$name ; \
	  rm -rf $$name ; \
	  gzip $$name.tar

=== tools/jtest/Makefile ===
all: jtest

jtest: jtest.cc
	$(CXX) $^ -o $@ -Wno-write-strings

clean:
	rm -f jtest

=== contrib/tstop/src/Makefile ===
all: tstop.cc
	$(CXX) $^ -o tstop -lcurl -lcurses -g -ltsutil -ltsmgmt -ltsutil -lpthread -Wl,-rpath,/usr/local/lib

clean:
	rm -f tstop

## trafficserver 2.1.5-unstable

=== debian/changelog ===
trafficserver (2.1.5-unstable-1) unstable; urgency=low

  * Initial release (Closes: #609285)
  * Added some configuration and informational hints
  * New upstream release. Major features:
    + Better AMD64 support
    + Override configuration per transaction
    + IPv6
    + Support ARM architectures
    + SDK-API changes
  * Differences to upstream version:
    + Ship some documentation. Well, really a few hints
    + Split source into three packages (core, plug-in, SDK)
    + Ship our own init script 

 -- Arno Toell <debian@toell.net>  Tue, 13 Jan 2011 11:49:18 +0100

=== debian/control ===
Source: trafficserver
Section: web
Priority: extra
Maintainer: Arno Toell <debian@toell.net>
Build-Depends: debhelper (>= 7.0.50~), libssl-dev, tcl-dev, libexpat1-dev,
	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool
Standards-Version: 3.9.1
Homepage: http://trafficserver.apache.org/
Vcs-Svn: svn+ssh://scm.alioth.debian.org/svn/collab-maint/ext-maint/trafficserver
Vcs-Browser: https://alioth.debian.org/scm/viewvc.php/ext-maint/trafficserver/?root=collab-maint

Package: trafficserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
Description: a fast, scalable and extensible HTTP/1.1 compliant caching proxy server
 This package provides the Apache Traffic Server. A fast, scalable reverse
 proxy server which may operate as forward proxy as well. Apache Traffic Server
 supports:
 .
   * Caching: Improvess response time by caching and reusing frequently-
     requested web content.
   * Proxying: Supports filtering, anonymization, load balancing and more.
   * Scaling: Scales well on modern SMP hardware.
   * Extensions: Use the API to modify anything from the HTTP headers to your
     own cache algorithm.

Package: trafficserver-plugin-conf-remap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, trafficserver (= ${binary:Version})
Description: Apache Traffic Server conf_remap plugin
 This package provides the conf_remap plugin for Apache Traffic Server.

Package: trafficserver-dev
Architecture: all
Depends: ${misc:Depends}
Suggests: trafficserver (= ${binary:Version})
Description: Apache Traffic Server Software Developers Kit (SDK)
 This package provides development header needed to write your
 own plug-ins for Apache Traffic Server, as well as examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh build --before auto_configure
	autoreconf -i
	./configure --prefix=/usr --sysconfdir=/etc/trafficserver \
		--localstatedir=/var/run --includedir=/usr/include \
		--libdir=/usr/lib --datadir=/var/cache/trafficserver \
		--enable-layout=Debian --with-user=root \
		--with-group=root
	dh build --after auto_configure
	touch $@

install: install-stamp
install-stamp: build-stamp
	dh --before dh_auto_install install
	dh_auto_install
	rm -f debian/tmp/usr/bin/trafficserver # We install our own
	dh --after dh_auto_install install
	touch $@

binary-arch: install
	dh $@

binary: binary-arch binary-indep

override_dh_install:
	dh_install --fail-missing
	sed -r -i 's/CONFIG proxy.config.(alarm_email|admin.user_id)\s+STRING\s+root/CONFIG proxy.config.\1 STRING trafficserver/' \
		debian/trafficserver/etc/trafficserver/records.config

override_dh_clean:
	dh_clean
	find \( -name Makefile.in -o -name Makefile \) -exec rm -f {} \;
	rm -rf build/aux/
	rm -f build/libtool.m4 build/ltoptions.m4 build/ltsugar.m4 build/ltversion.m4 \
		build/lt~obsolete.m4 aclocal.m4 example/app-template/records.config \
		lib/ts/ink_autoconf.h.in
	rm -f config.nice configure

override_dh_fixperms:
	dh_fixperms -X etc/trafficserver -X var/lib/trafficserver \
		-X var/log/trafficserver -X /var/cache/trafficserver \
		-X var/run/trafficserver

override_dh_installexamples:
	dh_installexamples -X Makefile

%:
	dh $@

## trafficserver 2.1.8-unstable

=== debian/changelog ===
trafficserver (2.1.8-unstable-1) unstable; urgency=low

  * New upstream release. Major features (since 2.1.5):
    + Many bug fixes (none reported in Debian's BTS)
    + Set source address for origin Servers
    + Major API changes for the SDK
    + Provide traffic_logstats 
    + traffic_shell does not hang anymore on any command
  * Fix "FTBFS on architectures not supported upstream": (Closes: #622800)
    + Don't execute regression checks for now (fixes x86)
    + Upstream merges a Debian patch originally for 2.1.7 which enables 
      kFreeBSD support (originally provided by myself)
    + Restrict Architectures (drop S390, IA64, MIPS[EL], PPC, SPARC)
  * Remove ts-ui-disable-conf.patch (applied upstream)
  * Update `build-quirks.patch' to make TS handle $DESTDIR correctly 
    (upstream: TS-759)
  * Remove .deps from SDK binary package examples (they were incidentally 
    included before).
  * Fix permissions for /var/cache/trafficserver in postinst
  * Bump standards to 3.9.2, depend on debhelper 8.0, adapt VCS links
  * Simplify debian/rules

 -- Arno Töll <debian@toell.net>  Thu, 05 May 2011 21:49:52 +0200

=== debian/control ===
Source: trafficserver
Section: web
Priority: extra
Maintainer: Arno Töll <debian@toell.net>
Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool
Standards-Version: 3.9.2
Homepage: http://trafficserver.apache.org/
Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/trafficserver/trunk
Vcs-Browser: https://alioth.debian.org/scm/viewvc.php/ext-maint/trafficserver/trunk?root=collab-maint

Package: trafficserver
Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
Description: a fast, scalable and extensible HTTP/1.1 compliant caching proxy server
 This package provides the Apache Traffic Server. A fast, scalable reverse
 proxy server which may operate as forward proxy as well. Apache Traffic Server
 supports:
 .
   * Caching: Improvess response time by caching and reusing frequently-
     requested web content.
   * Proxying: Supports filtering, anonymization, load balancing and more.
   * Scaling: Scales well on modern SMP hardware.
   * Extensions: Use the API to modify anything from the HTTP headers to your
     own cache algorithm.

Package: trafficserver-plugin-conf-remap
Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, trafficserver (= ${binary:Version})
Description: Apache Traffic Server conf_remap plugin
 This package provides the conf_remap plugin for Apache Traffic Server.

Package: trafficserver-dev
Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64
Depends: ${misc:Depends}
Suggests: trafficserver (= ${binary:Version})
Description: Apache Traffic Server Software Developers Kit (SDK)
 This package provides development header needed to write your
 own plug-ins for Apache Traffic Server, as well as examples.

=== debian/rules ===
--- 
+++ 
@@ -7,30 +7,22 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-build: build-stamp
-build-stamp:
-	dh build --before auto_configure
+
+%:
+	dh $@
+
+override_dh_auto_configure:
 	autoreconf -i
 	./configure --prefix=/usr --sysconfdir=/etc/trafficserver \
 		--localstatedir=/var/run --includedir=/usr/include \
-		--libdir=/usr/lib --datadir=/var/cache/trafficserver \
+		--libdir=/usr/lib/trafficserver --datadir=/var/cache/trafficserver \
 		--enable-layout=Debian --with-user=root \
 		--with-group=root
-	dh build --after auto_configure
-	touch $@
 
-install: install-stamp
-install-stamp: build-stamp
-	dh --before dh_auto_install install
+override_dh_auto_install:
 	dh_auto_install
 	rm -f debian/tmp/usr/bin/trafficserver # We install our own
-	dh --after dh_auto_install install
-	touch $@
 
-binary-arch: install
-	dh $@
-
-binary: binary-arch binary-indep
 
 override_dh_install:
 	dh_install --fail-missing
@@ -52,7 +44,12 @@
 		-X var/run/trafficserver
 
 override_dh_installexamples:
-	dh_installexamples -X Makefile
+	dh_installexamples -X Makefile -X.deps
 
-%:
-	dh $@
+override_dh_auto_test:
+	# Skip tests while issue #738 prevents to build ATS on x86 machines
+	# https://issues.apache.org/jira/browse/TS-738
+
+override_dh_makeshlibs:
+	dh_makeshlibs -X/usr/lib/trafficserver
+

## trafficserver 2.1.9-unstable

=== debian/changelog ===
trafficserver (2.1.9-unstable-1) unstable; urgency=low

  * New upstream release. Major features (since 2.1.8):
    + Bring back support for $DESTDIR and "make check" which makes Debian
      patches obsolete
    + Allow larger working sets than 512G
    + Disable cluster autodiscovery when cluster mode is disabled
    + Cleanup `records.config'
    + Disable SSLv2 by default
  * debian/control: Add build dependency to libcap-dev, because when running 
    traffic_server standalone, it is unable to bind restricted ports otherwise
    (Upstream: TS-804)
  * debian/rules: 
    + Remove override for dh_clean, but put options to debian/source/options 
      instead
    + Remove DH_OPTIONS (unused anyway)
  * Source package: Minor change to improving package quality and usability 
    (i.e. grammar, verbosity of comments)
  * Make the init script more robust 
  * Base the origin of the package source on the untouched upstream tarball, 
    instead of the versioned SVN branch.
  * Bring back IA64 support, this time actually working (upstream merged my 
    patch TS-783)
  * Remove patch `build-quirks.patch'. Changes have been committed upstream
    by now. 

 -- Arno Töll <debian@toell.net>  Tue, 31 May 2011 21:56:12 +0200

=== debian/control ===
Source: trafficserver
Section: web
Priority: extra
Maintainer: Arno Töll <debian@toell.net>
Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool,
	libcap-dev
Standards-Version: 3.9.2
Homepage: http://trafficserver.apache.org/
Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/trafficserver/trunk
Vcs-Browser: https://alioth.debian.org/scm/viewvc.php/ext-maint/trafficserver/trunk?root=collab-maint

Package: trafficserver
Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 ia64
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
Description: fast, scalable and extensible HTTP/1.1 compliant caching proxy server
 This package provides the Apache Traffic Server. A fast, scalable reverse
 proxy server which may operate as forward proxy as well. Apache Traffic Server
 supports:
 .
   * Caching: Improvess response time by caching and reusing frequently-
     requested web content.
   * Proxying: Supports filtering, anonymization, load balancing and more.
   * Scaling: Scales well on modern SMP hardware.
   * Extensions: Use the API to modify anything from the HTTP headers to your
     own cache algorithm.

Package: trafficserver-plugin-conf-remap
Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 ia64
Depends: ${shlibs:Depends}, ${misc:Depends}, trafficserver (= ${binary:Version})
Description: Apache Traffic Server conf_remap plugin
 This package provides the conf_remap plugin for Apache Traffic Server.

Package: trafficserver-dev
Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 ia64
Depends: ${misc:Depends}
Suggests: trafficserver (= ${binary:Version})
Description: Apache Traffic Server Software Developers Kit (SDK)
 This package provides the Apache Traffic Server Software  Developers Kit.
 This is a collection of development header and bindings for the C programming
 language, the tsxs linking helper and examples to write your own plug-ins for
 the Apache Traffic Server.

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,11 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-# This has to be exported to make some magic below work.
-export DH_OPTIONS
-
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	autoreconf -i
 	./configure --prefix=/usr --sysconfdir=/etc/trafficserver \
 		--localstatedir=/var/run --includedir=/usr/include \
 		--libdir=/usr/lib/trafficserver --datadir=/var/cache/trafficserver \
@@ -29,15 +25,6 @@
 	sed -r -i 's/CONFIG proxy.config.(alarm_email|admin.user_id)\s+STRING\s+root/CONFIG proxy.config.\1 STRING trafficserver/' \
 		debian/trafficserver/etc/trafficserver/records.config
 
-override_dh_clean:
-	dh_clean
-	find \( -name Makefile.in -o -name Makefile \) -exec rm -f {} \;
-	rm -rf build/aux/
-	rm -f build/libtool.m4 build/ltoptions.m4 build/ltsugar.m4 build/ltversion.m4 \
-		build/lt~obsolete.m4 aclocal.m4 example/app-template/records.config \
-		lib/ts/ink_autoconf.h.in
-	rm -f config.nice configure
-
 override_dh_fixperms:
 	dh_fixperms -X etc/trafficserver -X var/lib/trafficserver \
 		-X var/log/trafficserver -X /var/cache/trafficserver \

=== debian/watch ===
version=3
http://www.apache.org/dist//trafficserver/trafficserver-(\d+\.\d+.\d+\-unstable)\.tar\.bz2 debian uupdate

## trafficserver 3.0.0

=== debian/changelog ===
trafficserver (3.0.0-1ubuntu1) oneiric; urgency=low

  * as-needed: new patch, fixes FTBFS with --as-needed linker option.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 03 Jul 2011 16:20:07 +0400

trafficserver (3.0.0-1) unstable; urgency=low

  * New upstream release. Major changes (since 2.1.9):
    + `traffic_server' won't crash anymore when using non-existent plugin in
      remap rule
    + Don't cache HTTP 401, 303 and 407 error responses anymore, when negative
      caching is enabled.
  * Re-enable kfreebsd support, it was accidentally not available in
    2.1.9-unstable-1 because of non installable dependencies, as libcap-dev is
    installable (and required) on Linux only
  * debian/rules:
    + Simplify dh_auto_configure flags (upstream incorporated our build layout)
    + Enable WCCP (Web Cache Communication Protocol; Linux only)
  * debian/control:
    + Add flex and bison to build dependencies, both are required for WCCP
      (Linux only)

 -- Arno Töll <debian@toell.net>  Wed, 15 Jun 2011 15:56:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: trafficserver
 Section: web
 Priority: extra
-Maintainer: Arno Töll <debian@toell.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Arno Töll <debian@toell.net>
 Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
 	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool,
-	libcap-dev
+	libcap-dev [linux-any], bison [linux-any], flex [linux-any]
 Standards-Version: 3.9.2
 Homepage: http://trafficserver.apache.org/
 Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/trafficserver/trunk
@@ -18,7 +19,7 @@
  proxy server which may operate as forward proxy as well. Apache Traffic Server
  supports:
  .
-   * Caching: Improvess response time by caching and reusing frequently-
+   * Caching: Improves response time by caching and reusing frequently-
      requested web content.
    * Proxying: Supports filtering, anonymization, load balancing and more.
    * Scaling: Scales well on modern SMP hardware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Get build architecture. ./configure is different on Linux
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)


configure_flags = \
	--enable-layout=Debian \
	--sysconfdir=/etc/trafficserver --libdir=/usr/lib/trafficserver \
	--with-user=root --with-group=root

ifeq ($(DEB_HOST_ARCH_OS),linux)
	configure_flags += --enable-wccp
endif

%:
	dh $@

override_dh_auto_configure:
	./configure $(configure_flags)

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/bin/trafficserver # We install our own

override_dh_install:
	dh_install --fail-missing
	sed -r -i 's/CONFIG proxy.config.(alarm_email|admin.user_id)\s+STRING\s+root/CONFIG proxy.config.\1 STRING trafficserver/' \
		debian/trafficserver/etc/trafficserver/records.config

override_dh_fixperms:
	dh_fixperms -X etc/trafficserver -X var/lib/trafficserver \
		-X var/log/trafficserver -X /var/cache/trafficserver \
		-X var/run/trafficserver

override_dh_auto_test:
	# Do nothing. Once Again.
	# This time because of upstream issue TS-840 (patch proposed)

override_dh_installexamples:
	dh_installexamples -X Makefile -X.deps

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/trafficserver

## trafficserver 3.0.1

=== debian/changelog ===
trafficserver (3.0.1-2build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:28:44 -0700

trafficserver (3.0.1-2) unstable; urgency=low

  * Fix "please add armhf to the arch list" - add armhf to the list of supported
    architectures. Thanks Konstantinos Margaritis for the hint (Closes: #636338)
  * Remove IA64 from the list of supported architectures. The upgrade to the gcc
    4.6 toolchain disclosed portability issues with it, which caused the resul-
    ting binary package to produce no-op code in some functions. 

 -- Arno Töll <debian@toell.net>  Tue, 02 Aug 2011 22:58:37 +0200

trafficserver (3.0.1-1) unstable; urgency=low

  * New upstream release. Fixes several important issues which caused
    `traffic_cop' and `traffic_server' to crash.
  * Fix "FTBFS with ld --as-needed" re-order libraries upon linkage, patch
    committed upstream. Thanks Ilya Barygin (Closes: #632546)
  * Fix "trafficserver: Getting rid of unneeded *.la / emptying
    dependency_libs", remove *.la files from the installation target completely
    (Closes: #633192)
  * Set "DM-Upload-Allowed: yes" in agreement with Asheesh Laroia
    <paulproteus{at}debian.org>

 -- Arno Töll <debian@toell.net>  Mon, 01 Aug 2011 19:29:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: trafficserver
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Arno Töll <debian@toell.net>
+Maintainer: Arno Töll <debian@toell.net>
 Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
 	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool,
 	libcap-dev [linux-any], bison [linux-any], flex [linux-any]
@@ -10,9 +9,10 @@
 Homepage: http://trafficserver.apache.org/
 Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/trafficserver/trunk
 Vcs-Browser: https://alioth.debian.org/scm/viewvc.php/ext-maint/trafficserver/trunk?root=collab-maint
+DM-Upload-Allowed: yes
 
 Package: trafficserver
-Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 ia64
+Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
 Description: fast, scalable and extensible HTTP/1.1 compliant caching proxy server
  This package provides the Apache Traffic Server. A fast, scalable reverse
@@ -27,13 +27,13 @@
      own cache algorithm.
 
 Package: trafficserver-plugin-conf-remap
-Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 ia64
+Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, trafficserver (= ${binary:Version})
 Description: Apache Traffic Server conf_remap plugin
  This package provides the conf_remap plugin for Apache Traffic Server.
 
 Package: trafficserver-dev
-Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 ia64
+Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 armhf
 Depends: ${misc:Depends}
 Suggests: trafficserver (= ${binary:Version})
 Description: Apache Traffic Server Software Developers Kit (SDK)

## trafficserver 3.0.2

=== debian/changelog ===
trafficserver (3.0.2-1) unstable; urgency=low

  * New upstream release
    + Includes former Debian specific patch which makes sure the upstream
      configure script does not override any -O flags passed by the user
      anymore.
  * Adapt to dpkg 1.16.1 API changes regarding build flags. This enables
    hardening build flags. This means, trafficserver is now being built with
    -fstack-protector and other security related build flags.
  * Add dpkg-dev (>= 1.16.1~) to build-depends to make sure our buildflags are
    properly supported. That's guaranteed for Testing, but might be helpful to
    know for backporters.
  * Fix several issues in the DEP-5 syntax. Unfortunately there is no way to
    express that a file is subject to different license agreements so far.
  * Do not install the upstream changelog twice anymore
  * Finally run regression checks again, now as build failures are sorted out.

 -- Arno Töll <debian@toell.net>  Sun, 11 Dec 2011 00:45:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Arno Töll <debian@toell.net>
 Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
 	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool,
-	libcap-dev [linux-any], bison [linux-any], flex [linux-any]
+	libcap-dev [linux-any], bison [linux-any], flex [linux-any],
+	dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.2
 Homepage: http://trafficserver.apache.org/
 Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/trafficserver/trunk

## trafficserver 3.0.4

=== debian/changelog ===
trafficserver (3.0.4-1) unstable; urgency=high

  * New upstream release
    + Fix CVE-2012-0256: A request with a very large Host header caused ATS to
      crash.
  * Setting urgency to high because of security updates
  * Push standards to 3.9.3 - no further changes
  * Stilistic adaptions in debian/copyright, but not content changes
  * Remove cluster interface warning from README.Configuration. ATS now binds on
    lo by default

 -- Arno Töll <debian@toell.net>  Wed, 21 Mar 2012 12:34:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool,
 	libcap-dev [linux-any], bison [linux-any], flex [linux-any],
 	dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://trafficserver.apache.org/
 Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/trafficserver/trunk
 Vcs-Browser: https://alioth.debian.org/scm/viewvc.php/ext-maint/trafficserver/trunk?root=collab-maint

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 configure_flags = \
 	--enable-layout=Debian \
 	--sysconfdir=/etc/trafficserver --libdir=/usr/lib/trafficserver \
-	--with-user=root --with-group=root
+	--with-user=root --with-group=root \
+	$(shell dpkg-buildflags --export=configure)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	configure_flags += --enable-wccp
@@ -21,11 +22,16 @@
 	dh $@
 
 override_dh_auto_configure:
+	# autoreconf -i
+	# note dh_auto_configure -- $(configure_flags) does /NOT/ the same
 	./configure $(configure_flags)
 
 override_dh_auto_install:
 	dh_auto_install
 	rm -f debian/tmp/usr/bin/trafficserver # We install our own
+	# Satisfy §10.2 (http://wiki.debian.org/ReleaseGoals/LAFileRemoval)
+	rm -f debian/tmp/usr/lib/trafficserver/lib*.la
+	rm -f debian/tmp/usr/lib/trafficserver/modules/*.la
 
 override_dh_install:
 	dh_install --fail-missing
@@ -37,10 +43,6 @@
 		-X var/log/trafficserver -X /var/cache/trafficserver \
 		-X var/run/trafficserver
 
-override_dh_auto_test:
-	# Do nothing. Once Again.
-	# This time because of upstream issue TS-840 (patch proposed)
-
 override_dh_installexamples:
 	dh_installexamples -X Makefile -X.deps

## trafficserver 3.0.5

=== debian/changelog ===
trafficserver (3.0.5-1) unstable; urgency=low

  * New upstream release.
  * No kudos for the previous hostile NMU, but include the changelog to denote
    this upload does not introduce a regression.
  * Update my maintainer address
  * Make the init script look much better when using fancy outputs.
  * Fix "status" output of the init script
  * Remove "DM-Upload-Allowed". I don't need that flag anymore.


 -- Arno Töll <arno@debian.org>  Sat, 09 Jun 2012 18:48:23 +0200

trafficserver (3.0.4-1.1) unstable; urgency=low

   * Non maintainer upload
   * Fix build failure with GCC 4.7. Closes: #667396.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 04:40:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: trafficserver
 Section: web
 Priority: extra
-Maintainer: Arno Töll <debian@toell.net>
+Maintainer: Arno Töll <arno@debian.org>
 Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
 	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool,
 	libcap-dev [linux-any], bison [linux-any], flex [linux-any],
@@ -10,7 +10,6 @@
 Homepage: http://trafficserver.apache.org/
 Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/trafficserver/trunk
 Vcs-Browser: https://alioth.debian.org/scm/viewvc.php/ext-maint/trafficserver/trunk?root=collab-maint
-DM-Upload-Allowed: yes
 
 Package: trafficserver
 Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 armhf

## trafficserver 3.2.0

=== debian/changelog ===
trafficserver (3.2.0-1) unstable; urgency=low

  * New upstream release
    + If you are using SSL or HTTP filtering, please update your configuration.
      proxy.config.http.quick_filter.mask  and
      proxy.config.ssl.server.cert.filename is not recognized anymore. Please
      use ip_allow.config and ssl_multicert.config respectively instead.
      There is no automated migration for this in Debian, as this affects your
      site-specific configuration files.
    + See https://cwiki.apache.org/confluence/display/TS/Upgrading+to+3.2 for
      full upgrade instructions.
  * Upstream decided to ship more plug-ins with the trafficserver core
    distribution. These are all bundled into the main package now. Therefore,
    the trafficserver-plugin-conf-remap package is not provided anymore.
  * Update the default configuration file to ship with more moderate values
    for the log configuration.
  * Now do start ATS by default for fresh installations. The default
    out-of-the box configuration is much more secure than past defaults.
  * Purge the host and data cache on upgrades
  * Let's welcome Aron Xu to the Uploaders of Trafficserver. Hi Aron! :)

 -- Arno Töll <arno@debian.org>  Fri, 14 Sep 2012 22:56:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: web
 Priority: extra
 Maintainer: Arno Töll <arno@debian.org>
+Uploaders: Aron Xu <aron@debian.org>
 Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
 	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool,
 	libcap-dev [linux-any], bison [linux-any], flex [linux-any],
@@ -14,6 +15,9 @@
 Package: trafficserver
 Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
+Provides: trafficserver-plugin-conf-remap
+Replaces: trafficserver-plugin-conf-remap (<< 3.2~)
+Breaks: trafficserver-plugin-conf-remap (<< 3.2~)
 Description: fast, scalable and extensible HTTP/1.1 compliant caching proxy server
  This package provides the Apache Traffic Server. A fast, scalable reverse
  proxy server which may operate as forward proxy as well. Apache Traffic Server
@@ -26,12 +30,6 @@
    * Extensions: Use the API to modify anything from the HTTP headers to your
      own cache algorithm.
 
-Package: trafficserver-plugin-conf-remap
-Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}, trafficserver (= ${binary:Version})
-Description: Apache Traffic Server conf_remap plugin
- This package provides the conf_remap plugin for Apache Traffic Server.
-
 Package: trafficserver-dev
 Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 armhf
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,9 @@
 configure_flags = \
 	--enable-layout=Debian \
 	--sysconfdir=/etc/trafficserver --libdir=/usr/lib/trafficserver \
-	--with-user=root --with-group=root \
-	$(shell dpkg-buildflags --export=configure)
+	--with-user=root --with-group=root --with-arg-max=131072 \
+	--disable-silent-rules \
+        $(shell dpkg-buildflags --export=configure)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	configure_flags += --enable-wccp
@@ -34,9 +35,8 @@
 	rm -f debian/tmp/usr/lib/trafficserver/modules/*.la
 
 override_dh_install:
-	dh_install --fail-missing
-	sed -r -i 's/CONFIG proxy.config.(alarm_email|admin.user_id)\s+STRING\s+root/CONFIG proxy.config.\1 STRING trafficserver/' \
-		debian/trafficserver/etc/trafficserver/records.config
+	dh_install --list-missing
+	./debian/change_config.pl debian/trafficserver/etc/trafficserver/records.config
 
 override_dh_fixperms:
 	dh_fixperms -X etc/trafficserver -X var/lib/trafficserver \

## trafficserver 3.2.4

=== debian/changelog ===
trafficserver (3.2.4-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Revert FreeBSD strerror_r() fixes that give errors with glibc 2.16.
  * Drop markos's ARM barrier definition patch, now integrated upstream.
  * Brute-force upstream's suboptimal C/C++ with: -Wno-unused-result
    -Wno-sizeof-pointer-memaccess -Wno-unused-local-typedefs flags.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 Apr 2013 11:47:57 -0600

trafficserver (3.2.4-1) unstable; urgency=low

  * New upstream release
    + Delete upstream's .gitignore file in our source tree
  * Switch packaging repository to Git.
    + Add gbp.conf file for those using git-buildpackage
  * Fix "Upgrade fails if purging of cache fails" by not dying in a fire when
    the postinst fails to purge the cache (Closes: #687698)
  * Drop --with-arg-max from ./configure, it's not needed anymore.

 -- Arno Töll <arno@debian.org>  Thu, 07 Feb 2013 23:37:35 +0100

trafficserver (3.2.0-1ubuntu1) raring; urgency=low

  * Revert FreeBSD strerror_r() fixes that give errors with glibc 2.16.
  * Apply patch from Konstantinos Margaritis to define barriers on ARM.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 17 Dec 2012 22:28:16 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: trafficserver
 Section: web
 Priority: extra
-Maintainer: Arno Töll <arno@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Arno Töll <arno@debian.org>
 Uploaders: Aron Xu <aron@debian.org>
 Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
 	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool,
@@ -9,8 +10,8 @@
 	dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.3
 Homepage: http://trafficserver.apache.org/
-Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/trafficserver/trunk
-Vcs-Browser: https://alioth.debian.org/scm/viewvc.php/ext-maint/trafficserver/trunk?root=collab-maint
+Vcs-Git: git://anonscm.debian.org/collab-maint/trafficserver.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trafficserver.git;a=summary
 
 Package: trafficserver
 Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 armhf

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,12 @@
 # Get build architecture. ./configure is different on Linux
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
+export DEB_CXXFLAGS_MAINT_APPEND = -Wno-unused-result -Wno-sizeof-pointer-memaccess -Wno-unused-local-typedefs
 
 configure_flags = \
 	--enable-layout=Debian \
 	--sysconfdir=/etc/trafficserver --libdir=/usr/lib/trafficserver \
-	--with-user=root --with-group=root --with-arg-max=131072 \
-	--disable-silent-rules \
+	--with-user=root --with-group=root --disable-silent-rules \
         $(shell dpkg-buildflags --export=configure)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)

=== debian/watch ===
version=3
http://www.apache.org/dist//trafficserver/trafficserver-(\d+\.\d+.\d+)\.tar\.bz2 debian uupdate

## trafficserver 5.0.1

=== debian/changelog ===
trafficserver (5.0.1-1) unstable; urgency=medium

  * New upstream release including a fix for CVE-2014-3525 that allowed
    attackers by special crafted packets to obtain privileges for services bound
    to localhost

 -- Arno Töll <arno@debian.org>  Wed, 23 Jul 2014 04:43:00 -1100

trafficserver (5.0.0-1) unstable; urgency=medium

  * Acknowledge previous NMUs, thanks to Anibal Monsalve Salazar for
    coordination.
  * New upstream version. Patch changes:
    + drop 0001-TS-1821.patch: released upstream in 5.0.0
    + drop 0001-TS-2454-Fix-undefined-reference-to-__sync_fetch_and_.patch:
      released upstream in 4.2
    + drop add-mips-support.patch: released upstream in 5.0.0
    + drop pthread_setname_np.patch: This was a Debian specific issue which is
      being worked around in eglibc's commit r5460.
  * Add "support for mips64": merged upstream (Closes: #750807)
  * Build with dh-autoreconf to avoid build time issues with Automake 1.13
    which is not in Debian yet.

 -- Arno Töll <arno@debian.org>  Sun, 06 Jul 2014 00:20:59 -1100

trafficserver (4.1.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing prototype for pthread_setname_np()
    Add pthread_setname_np.patch
    Patch by Petr Salinger
    Closes: #743584

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 04 Apr 2014 08:59:48 +0100

trafficserver (4.1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix undefined reference to `__sync_fetch_and_sub_8' on ARM 32bit
    Add 0001-TS-2454-Fix-undefined-reference-to-__sync_fetch_and_.patch
    from https://issues.apache.org/jira/browse/TS-2454
    Patch by Yunkai Zhang
  * Add support for MIPS
    Add add-mips-support.patch
    Submitted: https://issues.apache.org/jira/browse/TS-2687
    Merged: https://git-wip-us.apache.org/repos/asf?p=trafficserver.git;h=2f81790
    Patch by Dejan Latinovic
    Closes: 743395
  * Build-depend on libboost-dev
    Patch by Dejan Latinovic
    Closes: #737510

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 03 Apr 2014 04:18:23 +0100

trafficserver (4.1.2-1) unstable; urgency=medium

  * Merge the experimental branch of trafficserver to unstable
  * New upstram release (Closes: #711530, #733377)
    + Refresh 0001-TS-1821.patch until it is fixed upstream
    + Don't run autoreconf anymore, we do not need it anymore
    + build depend on libaio-dev to support AIO on Linux systems
  * Push standards version

 -- Arno Töll <arno@debian.org>  Wed, 29 Jan 2014 03:01:12 -1100

trafficserver (3.3.2-1) experimental; urgency=low

  [ Arno Töll ]
  * Drop --with-arg-max from configure
  * Update changelog in view of the new upstream version

  [ Aron Xu ]
  * Imported Upstream version 3.3.2
  * Drop patch for enabling experimental plugins
  * Add liblua5.1-dev and liboost1.53-dev to B-D
  * Try on all archs for experimental builds
  * Permit parallel building
  * Fix typo in dep5 copyright file
  * Do not install staticly linked library
  * Enable Linux native AIO support for linux-any
  * Enable reclaimable freelist

 -- Aron Xu <aron@debian.org>  Thu, 09 May 2013 01:00:04 +0800

trafficserver (3.3.0+git20121208-0exp1) experimental; urgency=low

  * Upstream git snapshot.
  * Enable most of experimental plugins, install related libraries.
  * Run dh_autoreconf.
  * Make dh_auto_test errors non-fatal.

 -- Aron Xu <aron@debian.org>  Thu, 06 Dec 2012 23:32:25 +0800

trafficserver (3.3.0-1) experimental; urgency=low

  * Upload upstream development release to experimental.

 -- Aron Xu <aron@debian.org>  Thu, 29 Nov 2012 22:13:55 +0800

trafficserver (3.2.5-1) unstable; urgency=low

  * New upstream release
    + Fix FTBFS on ARM (Closes: #691179)
    + Fix FTBS with gcc 4.8 (Closes: #701427)
  * Promote trafficserver to depend for trafficserver-dev to fix a broken
    library symlink. The library is not required for all users, but those who
    need it don't need to install it manually anymore (Closes: #715134)

 -- Arno Töll <arno@debian.org>  Sun, 21 Jul 2013 11:55:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: trafficserver
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Arno Töll <arno@debian.org>
+Maintainer: Arno Töll <arno@debian.org>
 Uploaders: Aron Xu <aron@debian.org>
 Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
-	libpcre3-dev, libsqlite3-dev, autoconf, automake, libtool,
-	libcap-dev [linux-any], bison [linux-any], flex [linux-any],
-	dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+  libpcre3-dev, libtool, libaio-dev [linux-any], libcap-dev [linux-any],
+  bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config,
+  libgeoip-dev, liblua5.1-0-dev, dh-autoreconf, libboost-dev, python-sphinx
+Standards-Version: 3.9.5
 Homepage: http://trafficserver.apache.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/trafficserver.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trafficserver.git;a=summary
 
 Package: trafficserver
-Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
+  ${perl:Depends}
 Provides: trafficserver-plugin-conf-remap
 Replaces: trafficserver-plugin-conf-remap (<< 3.2~)
 Breaks: trafficserver-plugin-conf-remap (<< 3.2~)
@@ -32,7 +32,7 @@
      own cache algorithm.
 
 Package: trafficserver-dev
-Architecture: kfreebsd-i386 kfreebsd-amd64 i386 armel amd64 armhf
+Architecture: any
 Depends: ${misc:Depends}
 Suggests: trafficserver (= ${binary:Version})
 Description: Apache Traffic Server Software Developers Kit (SDK)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Get build architecture. ./configure is different on Linux
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

configure_flags = \
	--enable-layout=Debian \
	--sysconfdir=/etc/trafficserver --libdir=/usr/lib/trafficserver \
	--libexecdir=/usr/lib/trafficserver/modules \
	--with-user=root --with-group=root --disable-silent-rules \
	--enable-experimental-plugins --enable-reclaimable-freelist\
        $(shell dpkg-buildflags --export=configure)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	configure_flags += --enable-wccp --enable-linux-native-aio
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_install:
	dh_auto_install -- INSTALLDIRS=vendor
	rm -f debian/tmp/usr/bin/trafficserver # We install our own
	# Satisfy §10.2 (http://wiki.debian.org/ReleaseGoals/LAFileRemoval)
	rm -f debian/tmp/usr/lib/trafficserver/lib*.la
	rm -f debian/tmp/usr/lib/trafficserver/modules/*.la
	rm -f debian/tmp/usr/lib/trafficserver/lib*.a

override_dh_install:
	dh_install --list-missing
	./debian/change_config.pl debian/trafficserver/etc/trafficserver/records.config

override_dh_fixperms:
	dh_fixperms -X etc/trafficserver -X var/lib/trafficserver \
		-X var/log/trafficserver -X /var/cache/trafficserver \
		-X var/run/trafficserver

override_dh_installexamples:
	dh_installexamples -X Makefile -X.deps -X.la -X.lo

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/trafficserver
override_dh_auto_test:
	-dh_auto_test
